## cloud-init 0.7.9-153-g16a7302f

=== debian/changelog ===
cloud-init (0.7.9-153-g16a7302f-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * New upstream snapshot.
    - net: fix reading and rendering addresses in cidr format.
      [Dimitri John Ledkov] (LP: #1689346, #1684349)
    - disk_setup: udev settle before attempting partitioning or fs creation.
      (LP: #1692093)
    - GCE: Update the attribute used to find instance SSH keys.
      [Daniel Watkins] (LP: #1693582)
    - nplan: For bonds, allow dashed or underscore names of keys.
      [Dimitri John Ledkov] (LP: #1690480)
    - tests: python2.6: fix unit tests usage of assertNone and format.
    - tests: update docstring on test_configured_list_with_none
    - fix tools/ds-identify to not write None twice.
    - tox/build: do not package depend on style requirements.
    - tests: ntp: Restructure cc_ntp unit tests. [Chad Smith]
    - flake8: move the pinned version of flake8 up to 3.3.0
    - tests: Apply workaround for snapd bug in test case. [Joshua Powers]
    - RHEL/CentOS: Fix dual stack IPv4/IPv6 configuration.  [Andreas Karis]
    - disk_setup: fix several issues with gpt disk partitions. (LP: #1692087)
    - function spelling & docstring update [Joshua Powers]
    - tests: Fix unittest bug in ntp tests. [Joshua Powers]
    - tox: move pylint target to 1.7.1
    - Fix get_interfaces_by_mac for empty macs (LP: #1692028)
    - DigitalOcean: remove routes except for the public interface.
      [Ben Howard] (LP: #1681531.)
    - netplan: pass macaddress, when specified, for vlans
      [Dimitri John Ledkov] (LP: #1690388)
    - doc: various improvements for the docs on cc_users_groups.
      [Felix Dreissig]
    - cc_ntp: write template before installing and add service restart
      [Ryan Harper] (LP: #1645644)
    - tests: fix cloudstack unit tests to avoid accessing
      /var/lib/NetworkManager [Lars Kellogg-Stedman]
    - tests: fix hardcoded path to mkfs.ext4 [Joshua Powers] (LP: #1691517)
    - Actually skip warnings when .skip file is present.
      [Chris Brinker] (LP: #1691551)
    - netplan: fix netplan render_network_state signature.
      [Dimitri John Ledkov] (LP: #1685944)
    - Azure: fix reformatting of ephemeral disks on resize to large types.
      (LP: #1686514)
    - make deb: Add devscripts dependency for make deb.
      Cleanup packages/bddeb. [Chad Smith] (LP: #1685935)
    - openstack: fix log message copy/paste typo in _get_url_settings
      [Lars Kellogg-Stedman]
    - unittests: fix unittests run on centos [Joshua Powers]
    - Improve detection of snappy to include os-release and kernel cmdline.
      (LP: #1689944)
    - Add address to config entry generated by _klibc_to_config_entry.
      [Julien Castets] (LP: #1691135)
    - sysconfig: Raise ValueError when multiple default gateways are present.
      [Chad Smith] (LP: #1687485)
    - FreeBSD: improvements and fixes for use on Azure
      [Hongjiang Zhang] (LP: #1636345)
    - Add unit tests for ds-identify, fix Ec2 bug found.
    - fs_setup: if cmd is specified, use shell interpretation.
      [Paul Meyer] (LP: #1687712)
    - doc: document network configuration defaults policy and formats.
      [Ryan Harper]
    - doc: Fix name of "uri" key in docs for "cc_apt_configure" module
      [Felix Dreissig]
    - tests: Enable artful in integration tests [Joshua Powers]

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 May 2017 16:08:21 -0400

cloud-init (0.7.9-113-g513e99e0-0ubuntu1~16.10.1) yakkety; urgency=medium

  * debian/update-grub-legacy-ec2: fix early exit failure no /etc/fstab
    file. (LP: #1682160)
  * New upstream snapshot.
    - nova-lxd: read product_name from environment, not platform.
      (LP: #1685810)
    - Fix yum repo config where keys contain array values [Dylan Perry]
    - template: Update debian backports template [Joshua Powers]
    - rsyslog: replace ~ with stop [Joshua Powers] (LP: #1367899)
    - Doc: add additional RTD examples [Joshua Powers]
    - Fix growpart for some cases when booted with root=PARTUUID.
      (LP: #1684869)
    - pylint: update output style to parseable [Joshua Powers]
    - pylint: fix all logging warnings [Joshua Powers]
    - CloudStack: Add NetworkManager to list of supported DHCP lease dirs.
      [Syed Mushtaq Ahmed]
    - net: kernel lies about vlans not stealing mac addresses, when they do
      [Dimitri John Ledkov] (LP: #1682871)
    - ds-identify: Check correct path for "latest" config drive
      [Daniel Watkins] (LP: #1673637)
    - doc: Fix example for resolv.conf configuration.  [Jon Grimm]
    - Fix examples that reference upstream chef repository.  [Jon Grimm]
    - doc: correct grammar and improve clarity in merging documentation.
      [David Tagatac]
    - doc: Add missing doc link to snap-config module. [Ryan Harper]
    - snap: allows for creating cloud-init snap [Joshua Powers]
    - DigitalOcean: assign IPv4ll address to lowest indexed interface.
      [Ben Howard] (LP: #1676908)
    - DigitalOcean: configure all NICs presented in meta-data.
      [Ben Howard] (LP: #1676908)
    - Remove (and/or fix) URL shortener references [Jon Grimm]
    - HACKING.rst: more info on filling out contributors agreement.
    - util: teach write_file about copy_mode option
      [Lars Kellogg-Stedman] (LP: #1644064)
    - DigitalOcean: bind resolvers to loopback interface.
      [Ben Howard] (LP: #1676908)
    - tests: fix AltCloud tests to not rely on blkid (LP: #1636531)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 27 Apr 2017 13:38:40 -0400

cloud-init (0.7.9-90-g61eb03fe-0ubuntu1~16.10.1) yakkety; urgency=medium

  * debian/cloud-init.templates: add Bigstep to list of sources. (LP: #1676460)
  * New upstream snapshot.
    - OpenStack: add 'dvs' to the list of physical link types. (LP: #1674946)
    - Fix bug that resulted in an attempt to rename bonds or vlans.
      (LP: #1669860)
    - tests: update OpenNebula and Digital Ocean to not rely on host
      interfaces.
    - net: in netplan renderer delete known image-builtin content.


=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               iproute2,
               pep8,
               po-debconf,
               pyflakes,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pep8,
               python3-prettytable,
               python3-pyflakes | pyflakes (<< 1.1.0-2),
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-unittest2,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://git.launchpad.net/cloud-init/?h=ubuntu/devel
Vcs-Git: git://git.launchpad.net/cloud-init -b ubuntu/devel
Standards-Version: 3.9.8

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         ifupdown (>= 0.6.10ubuntu5),
         procps,
         python3,
         python3-requests (>= 0.8.2),
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, software-properties-common
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

Package: grub-legacy-ec2
Depends: debconf (>= 1.5.19) | cdebconf,
         ucf,
         util-linux (>= 2.15-1),
         ${misc:Depends}
Conflicts: grub
Suggests: grub-legacy-doc
Architecture: all
Description: Handles update-grub for ec2 instances
 EC2 instances that use grub-legacy as a bootloader need a way to keep
 /boot/grub/menu.lst up to date while not conflicting with grub-pc.
 This package provides that.

## cloud-init 17.1-18-gd4f70470

=== debian/changelog ===
cloud-init (17.1-18-gd4f70470-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - simpletable: Fix get_string method to return table-formatted string
      (LP: #1722566)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 10 Oct 2017 13:40:13 -0600

cloud-init (17.1-17-g45d361cb-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - net: Handle bridge stp values of 0 and convert to boolean type
      [Chad Smith]
    - tools: Give specific --abbrev=8 to "git describe"
    - network: bridge_stp value not always correct [Ryan Harper] (LP: #1721157)
    - tests: re-enable tox with nocloud-kvm support [Joshua Powers]

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 05 Oct 2017 16:15:34 -0500

cloud-init (17.1-13-g7fd04255-0ubuntu1) artful; urgency=medium

  * debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
    (LP: #1718681)
  * debian/control: drop dependency on python3-prettytable
  * New upstream snapshot.
    - systemd: remove limit on tasks created by cloud-init-final.service.
      [Robert Schweikert] (LP: #1717969)
    - suse: Support addition of zypper repos via cloud-config.
      [Robert Schweikert] (LP: #1718675)
    - tests: Combine integration configs and testcases [Joshua Powers]
    - Azure, CloudStack: Support reading dhcp options from systemd-networkd.
      [Dimitri John Ledkov] (LP: #1718029)
    - packages/debian/copyright: remove mention of boto and MIT license
    - systemd: only mention Before=apt-daily.service on debian based distros.
      [Robert Schweikert]
    - Add missing simpletable and simpletable tests for failed merge
      [Chad Smith]
    - Remove prettytable dependency, introduce simpletable [Andrew Jorgensen]
    - debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
      [Joshua Powers] (LP: #1718681)
    - tests: remove dependency on shlex [Joshua Powers]
    - AltCloud: Trust PATH for udevadm and modprobe.
    - DataSourceOVF: use util.find_devs_with(TYPE=iso9660)
      [Ryan Harper] (LP: #1718287)
    - tests: remove a temp file used in bootcmd tests.

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 03 Oct 2017 10:59:52 -0500

cloud-init (17.1-0ubuntu1) artful; urgency=medium

  * New upstream release.
    - doc: document GCE datasource. [Arnd Hannemann]
    - suse: updates to templates to support openSUSE and SLES.
      [Robert Schweikert] (LP: #1718640)
    - suse: Copy sysvinit files from redhat with slight changes.
      [Robert Schweikert] (LP: #1718649)
    - docs: fix sphinx module schema documentation [Chad Smith]
    - tests: Add cloudinit package to all test targets [Chad Smith]
    - Makefile: No longer look for yaml files in obsolete ./bin/.
    - tests: fix ds-identify unit tests to set EC2_STRICT_ID_DEFAULT.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 22 Sep 2017 12:21:18 -0400

cloud-init (0.7.9-283-g7eb3460b-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - ec2: Fix maybe_perform_dhcp_discovery to use /var/tmp as a tmpdir
      [Chad Smith] (LP: #1717627)
    - Azure: wait longer for SSH pub keys to arrive.
      [Paul Meyer] (LP: #1717611)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 18 Sep 2017 20:41:53 -0400

cloud-init (0.7.9-281-g10f067d8-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - GCE: Fix usage of user-data. (LP: #1717598)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 18 Sep 2017 17:03:22 -0400

cloud-init (0.7.9-280-ge626966e-0ubuntu1) artful; urgency=medium

  * debian/rules: install rsyslog file with 0644 mode instead of 0755.
  * debian/rules, debian/apport-launcher.py: add an apport hook. (LP: #1607345)
  * New upstream snapshot.
    - cmdline: add collect-logs subcommand. [Chad Smith] (LP: #1607345)
    - CloudStack: consider dhclient lease files named with a hyphen.
      (LP: #1717147)
    - resizefs: Drop check for read-only device file, do not warn on
      overlayroot. [Chad Smith]
    - Do not provide systemd-fsck drop-in which could cause ordering cycles.
      [Balint Reczey] (LP: #1717477)
    - tests: Enable the NoCloud KVM platform [Joshua Powers]
    - resizefs: pass mount point to xfs_growfs [Dusty Mabe]
    - vmware: Enable nics before sending the SUCCESS event. [Sankar Tanguturi]
    - cloud-config modules: honor distros definitions in each module
      [Chad Smith] (LP: #1715738, #1715690)
    - chef: Add option to pin chef omnibus install version
      [Ethan Apodaca] (LP: #1462693)
    - tests: execute: support command as string [Joshua Powers]
    - schema and docs: Add jsonschema to resizefs and bootcmd modules
      [Chad Smith]
    - tools: Add xkvm script, wrapper around qemu-system [Joshua Powers]
    - vmware customization: return network config format
      [Sankar Tanguturi] (LP: #1675063)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Sep 2017 16:09:07 -0400

cloud-init (0.7.9-267-g922c3c5c-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - Ec2: only attempt to operate at local mode on known platforms.
      (LP: #1715128)
    - Use /run/cloud-init for tempfile operations. (LP: #1707222)
    - ds-identify: Make OpenStack return maybe on arch other than intel.
      (LP: #1715241)
    - tests: mock missed openstack metadata uri network_data.json
      [Chad Smith] (LP: #1714376)
    - relocate tests/unittests/helpers.py to cloudinit/tests
      [Lars Kellogg-Stedman]
    - tox: add nose timer output [Joshua Powers]
    - upstart: do not package upstart jobs, drop ubuntu-init-switch module.
    - tests: Stop leaking calls through unmocked metadata addresses
      [Chad Smith] (LP: #1714117)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 07 Sep 2017 16:59:04 -0400

cloud-init (0.7.9-259-g7e76c57b-0ubuntu1) artful; urgency=medium

  * Disable upstart support, as upstart is no longer shipped in artful.
    [Dimitri Ledkov]
  * New upstream snapshot.
    - distro: allow distro to specify a default locale [Ryan Harper]
    - tests: fix two recently added tests for sles distro.


=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                python3-httpretty,
                python3-jinja2,
                python3-jsonpatch,
+               python3-jsonschema,
                python3-mock,
                python3-nose,
                python3-oauthlib,
                python3-pep8,
-               python3-prettytable,
                python3-pyflakes | pyflakes (<< 1.1.0-2),
                python3-requests,
                python3-serial,
@@ -34,10 +34,10 @@
 Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
-         ifupdown (>= 0.6.10ubuntu5),
+         nplan | ifupdown,
          procps,
          python3,
-         python3-requests (>= 0.8.2),
+         python3-requests,
          python3-serial,
          ${misc:Depends},
          ${python3:Depends}
@@ -48,9 +48,9 @@
  to retrieve and install ssh keys and to let the user run various scripts.
 
 Package: grub-legacy-ec2
-Depends: debconf (>= 1.5.19) | cdebconf,
+Depends: debconf | cdebconf,
          ucf,
-         util-linux (>= 2.15-1),
+         util-linux,
          ${misc:Depends}
 Conflicts: grub
 Suggests: grub-legacy-doc

## cloud-init 17.1-27-geb292c18

=== debian/changelog ===
cloud-init (17.1-27-geb292c18-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream snapshot.
    - EC2: Limit network config to fallback nic, fix local-ipv4 only
      instances. (LP: #1728152)
    - Gentoo: Use "rc-service" rather than "service". [Carlos Konstanski]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 31 Oct 2017 13:10:51 -0600

cloud-init (17.1-25-g17a15f9e-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream snapshot.
    - resizefs: Fix regression when system booted with root=PARTUUID=
      (LP: #1725067)
    - tools: make yum package installation more reliable
    - citest: fix remaining warnings raised by integration tests.
    - citest: show the class actual class name in results.
    - ntp: fix config module schema to allow empty ntp config
      (LP: #1724951)
    - tools: disable fastestmirror if using proxy [Joshua Powers]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 23 Oct 2017 14:54:05 -0600

cloud-init (17.1-18-gd4f70470-0ubuntu1~16.04.2) xenial-proposed; urgency=medium

  * cherry-pick 41152f1: schema: Log debug instead of warning when
    jsonschema is absent (LP: #1724354)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 18 Oct 2017 15:11:25 -0600

cloud-init (17.1-18-gd4f70470-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * drop the following cherry picks, now incorporated in snapshot.
    + debian/patches/cpick-a2f8ce9c-Do-not-provide-systemd-fsck-drop...
  * debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
    (LP: #1718681)
  * debian/control: drop dependency on python3-prettytable
  * debian/rules: install rsyslog file with 0644 mode instead of 0755.
  * debian/rules, debian/apport-launcher.py: add an apport hook. (LP: #1607345)
  * New upstream snapshot. (LP: #1721847)
    - simpletable: Fix get_string method to return table-formatted string
    - net: Handle bridge stp values of 0 and convert to boolean type
      [Chad Smith]
    - tools: Give specific --abbrev=8 to "git describe"
    - network: bridge_stp value not always correct [Ryan Harper]
    - tests: re-enable tox with nocloud-kvm support [Joshua Powers]
    - systemd: remove limit on tasks created by cloud-init-final.service.
      [Robert Schweikert]
    - suse: Support addition of zypper repos via cloud-config.
      [Robert Schweikert]
    - tests: Combine integration configs and testcases [Joshua Powers]
    - Azure, CloudStack: Support reading dhcp options from systemd-networkd.
      [Dimitri John Ledkov]
    - packages/debian/copyright: remove mention of boto and MIT license
    - systemd: only mention Before=apt-daily.service on debian based distros.
      [Robert Schweikert]
    - Add missing simpletable and simpletable tests for failed merge
      [Chad Smith]
    - Remove prettytable dependency, introduce simpletable [Andrew Jorgensen]
    - debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
      [Joshua Powers]
    - tests: remove dependency on shlex [Joshua Powers]
    - AltCloud: Trust PATH for udevadm and modprobe.
    - DataSourceOVF: use util.find_devs_with(TYPE=iso9660)
      [Ryan Harper]
    - tests: remove a temp file used in bootcmd tests.
    - release 17.1
    - doc: document GCE datasource. [Arnd Hannemann]
    - suse: updates to templates to support openSUSE and SLES.
      [Robert Schweikert]
    - suse: Copy sysvinit files from redhat with slight changes.
      [Robert Schweikert]
    - docs: fix sphinx module schema documentation [Chad Smith]
    - tests: Add cloudinit package to all test targets [Chad Smith]
    - Makefile: No longer look for yaml files in obsolete ./bin/.
    - tests: fix ds-identify unit tests to set EC2_STRICT_ID_DEFAULT.
    - ec2: Fix maybe_perform_dhcp_discovery to use /var/tmp as a tmpdir
      [Chad Smith]
    - Azure: wait longer for SSH pub keys to arrive.
      [Paul Meyer]
    - GCE: Fix usage of user-data.
    - cmdline: add collect-logs subcommand. [Chad Smith]
    - CloudStack: consider dhclient lease files named with a hyphen.
    - resizefs: Drop check for read-only device file, do not warn on
      overlayroot. [Chad Smith]
    - tests: Enable the NoCloud KVM platform [Joshua Powers]
    - resizefs: pass mount point to xfs_growfs [Dusty Mabe]
    - vmware: Enable nics before sending the SUCCESS event. [Sankar Tanguturi]
    - cloud-config modules: honor distros definitions in each module
      [Chad Smith]
    - chef: Add option to pin chef omnibus install version
      [Ethan Apodaca]
    - tests: execute: support command as string [Joshua Powers]
    - schema and docs: Add jsonschema to resizefs and bootcmd modules
      [Chad Smith]
    - tools: Add xkvm script, wrapper around qemu-system [Joshua Powers]
    - vmware customization: return network config format
      [Sankar Tanguturi]
    - Ec2: only attempt to operate at local mode on known platforms.
    - Use /run/cloud-init for tempfile operations.
    - ds-identify: Make OpenStack return maybe on arch other than intel.
    - tests: mock missed openstack metadata uri network_data.json
      [Chad Smith]
    - relocate tests/unittests/helpers.py to cloudinit/tests
      [Lars Kellogg-Stedman]
    - tox: add nose timer output [Joshua Powers]
    - upstart: do not package upstart jobs, drop ubuntu-init-switch module.
    - tests: Stop leaking calls through unmocked metadata addresses
      [Chad Smith]
    - distro: allow distro to specify a default locale [Ryan Harper]
    - tests: fix two recently added tests for sles distro.
    - url_helper: dynamically import oauthlib import from inside oauth_headers
      [Chad Smith]
    - tox: make xenial environment run with python3.6
    - suse: Add support for openSUSE and return SLES to a working state.
      [Robert Schweikert]
    - GCE: Add a main to the GCE Datasource.
    - ec2: Add IPv6 dhcp support to Ec2DataSource. [Chad Smith]
    - url_helper: fail gracefully if oauthlib is not available
      [Lars Kellogg-Stedman]


## cloud-init 17.1-46-g7acc9e68

=== debian/changelog ===
cloud-init (17.1-46-g7acc9e68-0ubuntu1~17.04.1) zesty-proposed; urgency=medium

  * New upstream snapshot.
    - ec2: Fix sandboxed dhclient background process cleanup.
      (LP: #1735331)
    - tests: NoCloudKVMImage do not modify the original local cache image.
    - tests: Enable bionic in integration tests. [Joshua Powers]
    - tests: Use apt-get to install a deb so that depends get resolved.
    - sysconfig: Correctly render dns and dns search info.
      [Ryan McCabe]

 -- Chad Smith <chad.smith@canonical.com>  Fri, 01 Dec 2017 10:02:24 -0700

cloud-init (17.1-41-g76243487-0ubuntu1~17.04.1) zesty-proposed; urgency=medium

  * debian/cloud-init.templates: Fix capitilazation in 'AliYun'
    (LP: #1728186)
  * New upstream snapshot (LP: #1733653)
    - integration test: replace curtin test ppa with cloud-init test ppa.
    - EC2: Fix bug using fallback_nic and metadata when restoring from cache.
    - EC2: Kill dhclient process used in sandbox dhclient.
    - ntp: fix configuration template rendering for openSUSE and SLES
    - centos: Provide the failed #include url in error messages
    - Catch UrlError when #include'ing URLs [Andrew Jorgensen]
    - hosts: Fix openSUSE and SLES setup for /etc/hosts and clarify docs.
      [Robert Schweikert]
    - rh_subscription: Perform null checks for enabled and disabled repos.
      [Dave Mulford]
    - Improve warning message when a template is not found.
      [Robert Schweikert]
    - Replace the temporary i9n.brickies.net with i9n.cloud-init.io.
    - Azure: don't generate network configuration for SRIOV devices
    - tests: address some minor feedback missed in last merge.
    - tests: integration test cleanup and full pass of nocloud-kvm.
    - Gentoo: chmod +x on all files in sysvinit/gentoo/
      [Carlos Konstanski]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 21 Nov 2017 11:48:32 -0700

cloud-init (17.1-27-geb292c18-0ubuntu1~17.04.1) zesty-proposed; urgency=medium

  * New upstream snapshot.
    - EC2: Limit network config to fallback nic, fix local-ipv4 only
      instances. (LP: #1728152)
    - Gentoo: Use "rc-service" rather than "service". [Carlos Konstanski]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 31 Oct 2017 13:08:43 -0600

cloud-init (17.1-25-g17a15f9e-0ubuntu1~17.04.1) zesty-proposed; urgency=medium

  * New upstream snapshot.
    - resizefs: Fix regression when system booted with root=PARTUUID=
      (LP: #1725067)
    - tools: make yum package installation more reliable
    - citest: fix remaining warnings raised by integration tests.
    - citest: show the class actual class name in results.
    - ntp: fix config module schema to allow empty ntp config
      (LP: #1724951)
    - tools: disable fastestmirror if using proxy [Joshua Powers]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 23 Oct 2017 14:57:46 -0600

cloud-init (17.1-18-gd4f70470-0ubuntu1~17.04.2) zesty-proposed; urgency=medium

  * cherry-pick 41152f1: schema: Log debug instead of warning when
    jsonschema is absent (LP: #1724354)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 18 Oct 2017 15:05:29 -0600

cloud-init (17.1-18-gd4f70470-0ubuntu1~17.04.1) zesty-proposed; urgency=medium

  * drop the following cherry picks, now incorporated in snapshot.
    + debian/patches/cpick-a2f8ce9c-Do-not-provide-systemd-fsck-drop...
  * debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
    (LP: #1718681)
  * debian/control: drop dependency on python3-prettytable
  * debian/rules: install rsyslog file with 0644 mode instead of 0755.
  * debian/rules, debian/apport-launcher.py: add an apport hook. (LP: #1607345)
  * New upstream snapshot (LP: #1721847)
    - simpletable: Fix get_string method to return table-formatted string
    - net: Handle bridge stp values of 0 and convert to boolean type
      [Chad Smith]
    - tools: Give specific --abbrev=8 to "git describe"
    - network: bridge_stp value not always correct [Ryan Harper]
    - tests: re-enable tox with nocloud-kvm support [Joshua Powers]
    - systemd: remove limit on tasks created by cloud-init-final.service.
      [Robert Schweikert]
    - suse: Support addition of zypper repos via cloud-config.
      [Robert Schweikert]
    - tests: Combine integration configs and testcases [Joshua Powers]
    - Azure, CloudStack: Support reading dhcp options from systemd-networkd.
      [Dimitri John Ledkov]
    - packages/debian/copyright: remove mention of boto and MIT license
    - systemd: only mention Before=apt-daily.service on debian based distros.
      [Robert Schweikert]
    - Add missing simpletable and simpletable tests for failed merge
      [Chad Smith]
    - Remove prettytable dependency, introduce simpletable [Andrew Jorgensen]
    - debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
      [Joshua Powers]
    - tests: remove dependency on shlex [Joshua Powers]
    - AltCloud: Trust PATH for udevadm and modprobe.
    - DataSourceOVF: use util.find_devs_with(TYPE=iso9660)
      [Ryan Harper]
    - tests: remove a temp file used in bootcmd tests.
    - release 17.1
    - doc: document GCE datasource. [Arnd Hannemann]
    - suse: updates to templates to support openSUSE and SLES.
      [Robert Schweikert]
    - suse: Copy sysvinit files from redhat with slight changes.
      [Robert Schweikert]
    - docs: fix sphinx module schema documentation [Chad Smith]
    - tests: Add cloudinit package to all test targets [Chad Smith]
    - Makefile: No longer look for yaml files in obsolete ./bin/.
    - tests: fix ds-identify unit tests to set EC2_STRICT_ID_DEFAULT.
    - ec2: Fix maybe_perform_dhcp_discovery to use /var/tmp as a tmpdir
      [Chad Smith]
    - Azure: wait longer for SSH pub keys to arrive.
      [Paul Meyer]
    - GCE: Fix usage of user-data.
    - cmdline: add collect-logs subcommand. [Chad Smith]
    - CloudStack: consider dhclient lease files named with a hyphen.
    - resizefs: Drop check for read-only device file, do not warn on


=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python3-httpretty,
                python3-jinja2,
                python3-jsonpatch,
-               python3-jsonschema,
                python3-mock,
                python3-nose,
                python3-oauthlib,
@@ -34,10 +33,10 @@
 Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
-         nplan | ifupdown,
+         ifupdown (>= 0.6.10ubuntu5),
          procps,
          python3,
-         python3-requests,
+         python3-requests (>= 0.8.2),
          python3-serial,
          ${misc:Depends},
          ${python3:Depends}
@@ -48,9 +47,9 @@
  to retrieve and install ssh keys and to let the user run various scripts.
 
 Package: grub-legacy-ec2
-Depends: debconf | cdebconf,
+Depends: debconf (>= 1.5.19) | cdebconf,
          ucf,
-         util-linux,
+         util-linux (>= 2.15-1),
          ${misc:Depends}
 Conflicts: grub
 Suggests: grub-legacy-doc

=== debian/rules ===
#!/usr/bin/make -f
INIT_SYSTEM ?= upstart,systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	http_proxy= make PYVER=python3 check
else
	@echo check disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

override_dh_auto_install:
	dh_auto_install --destdir=debian/cloud-init
	install -D -m 0644 ./tools/21-cloudinit.conf debian/cloud-init/etc/rsyslog.d/21-cloudinit.conf
	install -D ./tools/Z99-cloud-locale-test.sh debian/cloud-init/etc/profile.d/Z99-cloud-locale-test.sh
	install -D ./tools/Z99-cloudinit-warnings.sh debian/cloud-init/etc/profile.d/Z99-cloudinit-warnings.sh
	install -m 0644 -D debian/apport-launcher.py debian/cloud-init/usr/share/apport/package-hooks/cloud-init.py

## cloud-init 17.2-35-gf576b2a2

=== debian/changelog ===
cloud-init (17.2-35-gf576b2a2-0ubuntu1~16.04.2) xenial-proposed; urgency=medium

  * cherry-pick 40e7738: GCE: fix reading of user-data that is not
    base64 encoded. (LP: #1752711)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 01 Mar 2018 16:05:39 -0700

cloud-init (17.2-35-gf576b2a2-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream snapshot. (LP: #1747059)
    - tests: add support for logs with lxd from snap and future lxd 3.
    - EC2: Fix get_instance_id called against cached datasource pickle.
    - cli: fix cloud-init status to report running when before result.json
    - net: accept network-config in netplan format for renaming interfaces
    - Fix ssh keys validation in ssh_util [Tatiana Kholkina]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 12 Feb 2018 10:18:13 -0700

cloud-init (17.2-30-gf7deaf15-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/patches/ds-identify-behavior-xenial.patch: refresh patch.
  * debian/grub-legacy-ec2.install: install post(inst|rm) files correctly.
    [Simon Deziel] (LP: #1581416)
  * New upstream snapshot (LP: #1747059)
    - docs: Update RTD content for cloud-init subcommands.
    - OVF: Extend well-known labels to include OVFENV.
    - Fix potential cases of uninitialized variables.
    - tests: Collect script output as binary, collect systemd journal, fix lxd.
    - HACKING.rst: mention setting user name and email via git config.
    - Azure VM Preprovisioning support. [Douglas Jordan]
    - tools/read-version: Fix read-version when in a git worktree.
    - docs: Fix typos in docs and one debug message. [Florian Grignon]
    - btrfs: support resizing if root is mounted ro.
      [Robert Schweikert]
    - OpenNebula: Improve network configuration support.
      [Akihiko Ota]
    - tests: Fix EC2 Platform to return console output as bytes.
    - tests: Fix attempted use of /run in a test case.
    - GCE: Improvements and changes to ssh key behavior for default user.
      [Max Illfelder]
    - subp: make ProcessExecutionError have expected types in stderr, stdout.
    - tests: when querying ntp server, do not do dns resolution.
    - Recognize uppercase vfat disk labels [James Penick]
    - tests: remove zesty as supported OS to test
    - Do not log warning on config files that represent None.
    - tests: Use git hash pip dependency format for pylxd.
    - tests: add integration requirements text file
    - MAAS: add check_instance_id based off oauth tokens.
    - tests: update apt sources list test
    - tests: clean up image properties
    - tests: rename test ssh keys to avoid appearance of leaking private keys.
    - tests: Enable AWS EC2 Integration Testing
    - cli: cloud-init clean handles symlinks
    - SUSE: Add a basic test of network config rendering. [Robert Schweikert]
    - Azure: Only bounce network when necessary.
    - lint: Fix lints seen by pylint version 1.8.1.
    - cli: Fix error in cloud-init modules --mode=init.
    - release 17.2
    - ds-identify: failure in NoCloud due to unset variable usage.
    - tests: fix collect_console when not implemented
    - ec2: Use instance-identity doc for region and instance-id
      [Andrew Jorgensen]
    - tests: remove leaked tmp files in config drive tests.
    - setup.py: Do not include rendered files in SOURCES.txt
    - SUSE: remove delta in systemd local template for SUSE [Robert Schweikert]
    - tests: move to using tox 1.7.5
    - OVF: improve ds-identify to support finding OVF iso transport.
    - VMware: Support for user provided pre and post-customization scripts
      [Maitreyee Saikia]
    - citest: In NoCloudKVM provide keys via metadata not userdata.
    - pylint: Update pylint to 1.7.1, run on tests/ and tools and fix
      complaints.
    - Datasources: Formalize DataSource get_data and related properties.
    - cli: Add clean and status subcommands
    - tests: consolidate platforms into specific dirs

 -- Chad Smith <chad.smith@canonical.com>  Fri, 02 Feb 2018 12:37:30 -0700

cloud-init (17.1-46-g7acc9e68-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream snapshot.
    - ec2: Fix sandboxed dhclient background process cleanup.
      (LP: #1735331)
    - tests: NoCloudKVMImage do not modify the original local cache image.
    - tests: Enable bionic in integration tests. [Joshua Powers]
    - tests: Use apt-get to install a deb so that depends get resolved.
    - sysconfig: Correctly render dns and dns search info.
      [Ryan McCabe]

 -- Chad Smith <chad.smith@canonical.com>  Fri, 01 Dec 2017 10:05:01 -0700

cloud-init (17.1-41-g76243487-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/cloud-init.templates: Fix capitilazation in 'AliYun'
    (LP: #1728186)
  * New upstream snapshot (LP: #1733653)
    - integration test: replace curtin test ppa with cloud-init test ppa.
    - EC2: Fix bug using fallback_nic and metadata when restoring from cache.
    - EC2: Kill dhclient process used in sandbox dhclient.
    - ntp: fix configuration template rendering for openSUSE and SLES
    - centos: Provide the failed #include url in error messages
    - Catch UrlError when #include'ing URLs [Andrew Jorgensen]
    - hosts: Fix openSUSE and SLES setup for /etc/hosts and clarify docs.
      [Robert Schweikert]
    - rh_subscription: Perform null checks for enabled and disabled repos.
      [Dave Mulford]
    - Improve warning message when a template is not found.
      [Robert Schweikert]
    - Replace the temporary i9n.brickies.net with i9n.cloud-init.io.
    - Azure: don't generate network configuration for SRIOV devices
    - tests: address some minor feedback missed in last merge.
    - tests: integration test cleanup and full pass of nocloud-kvm.
    - Gentoo: chmod +x on all files in sysvinit/gentoo/
      [Carlos Konstanski]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 21 Nov 2017 11:45:23 -0700

## cloud-init 18.2-4-g05926e48

=== debian/changelog ===
cloud-init (18.2-4-g05926e48-0ubuntu1~17.10.2) artful-proposed; urgency=medium

  * cherry-pick 11172924: IBMCloud: Disable config-drive and nocloud
    only if IBMCloud (LP: #1766401)
  * cherry-pick 6ef92c98: IBMCloud: recognize provisioning environment
    during debug (LP: #1767166)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 01 May 2018 10:36:14 -0600

cloud-init (18.2-4-g05926e48-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * debian/new-upstream-snapshot: Remove script, now maintained elsewhere.
  * New upstream snapshot. (LP: #1759406)
    - tests: fix integration tests to support lxd 3.0 release
    - correct documentation to match correct attribute name usage.
      [Dominic Schlegel]
    - cc_resizefs, util: handle no /dev/zfs
    - doc: Fix links in OpenStack datasource documentation. [Dominic Schlegel]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 03 Apr 2018 17:00:47 -0600

cloud-init (18.2-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * Drop the following cherry picks in debian/patches.
    They are now incorporated in the upstream source:
    + cpick-40e7738-GCE-fix-reading-of-user-data-that-is-not-base64-encoded
  * New upstream release. (LP: #1759406)
    - release 18.2
    - Hetzner: Exit early if dmi system-manufacturer is not Hetzner.
    - Add missing dependency on isc-dhcp-client to trunk ubuntu packaging.
    - FreeBSD: resizefs module now able to handle zfs/zpool. [Dominic Schlegel]
    - cc_puppet: Revert regression of puppet creating ssl and ssl_cert dirs
    - Enable IBMCloud datasource in settings.py.
    - IBMCloud: Initial IBM Cloud datasource.
    - tests: remove jsonschema from xenial tox environment.
    - tests: Fix newly added schema unit tests to skip if no jsonschema.
    - ec2: Adjust ec2 datasource after exception_cb change.
    - Reduce AzurePreprovisioning HTTP timeouts. [Douglas Jordan]
    - Revert the logic of exception_cb in read_url. [Kurt Garloff]
    - ubuntu-advantage: Add new config module to support ubuntu-advantage-tools
    - Handle global dns entries in netplan
    - Identify OpenTelekomCloud Xen as OpenStack DS. [Kurt Garloff]
    - datasources: fix DataSource subclass get_hostname method signature
    - OpenNebula: Update network to return v2 config rather than ENI.
      [Akihiko Ota]
    - Add Hetzner Cloud DataSource
    - net: recognize iscsi root cases without ip= on kernel command line.
    - tests: fix flakes warning for unused variable
    - tests: patch leaked stderr messages from snap unit tests
    - cc_snap: Add new module to install and configure snapd and snap packages.
    - tests: Make pylint happy and fix python2.6 uses of assertRaisesRegex.
    - netplan: render bridge port-priority values
    - util: Fix subp regression. Allow specifying subp command as a string.
    - doc: fix all warnings issued by 'tox -e doc'
    - FreeBSD: Set hostname to FQDN. [Dominic Schlegel]
    - tests: fix run_tree and bddeb
    - tests: Fix some warnings in tests that popped up with newer python.
    - set_hostname: When present in metadata, set it before network bringup.
    - tests: Centralize and re-use skipTest based on json schema presense.
    - This commit fixes get_hostname on the AzureDataSource. [Douglas Jordan]
    - shellify: raise TypeError on bad input.
    - Make salt minion module work on FreeBSD. [Dominic Schlegel]
    - Simplify some comparisions. [Rémy Léone]
    - Change some list creation and population to literal. [Rémy Léone]
    - GCE: fix reading of user-data that is not base64 encoded.
    - doc: fix chef install from apt packages example in RTD.
    - Implement puppet 4 support [Romanos Skiadas]
    - subp: Fix subp usage with non-ascii characters when no system locale.
    - salt: configure grains in grains file rather than in minion config.
      [Daniel Wallace]
    - release 18.1
    - OVF: Fix VMware support for 64-bit platforms. [Sankar Tanguturi]
    - ds-identify: Fix searching for iso9660 OVF cdroms.
    - SUSE: Fix groups used for ownership of cloud-init.log [Robert Schweikert]
    - ds-identify: check /writable/system-data/ for nocloud seed.
    - tests: run nosetests in cloudinit/ directory, fix py26 fallout.
    - tools: run-centos: git clone rather than tar.

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Mar 2018 13:08:59 -0600

cloud-init (17.2-35-gf576b2a2-0ubuntu1~17.10.2) artful-proposed; urgency=medium

  * cherry-pick 40e7738: GCE: fix reading of user-data that is not
    base64 encoded. (LP: #1752711)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 01 Mar 2018 16:03:46 -0700

cloud-init (17.2-35-gf576b2a2-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * New upstream snapshot. (LP: #1747059)
    - tests: add support for logs with lxd from snap and future lxd 3.
    - EC2: Fix get_instance_id called against cached datasource pickle.
    - cli: fix cloud-init status to report running when before result.json
    - net: accept network-config in netplan format for renaming interfaces
    - Fix ssh keys validation in ssh_util [Tatiana Kholkina]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 12 Feb 2018 10:16:42 -0700

cloud-init (17.2-30-gf7deaf15-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * New upstream snapshot. (LP: #1747059)
    - docs: Update RTD content for cloud-init subcommands.
    - OVF: Extend well-known labels to include OVFENV.
    - Fix potential cases of uninitialized variables.
    - tests: Collect script output as binary, collect systemd journal, fix lxd.
    - HACKING.rst: mention setting user name and email via git config.
    - Azure VM Preprovisioning support. [Douglas Jordan]
    - tools/read-version: Fix read-version when in a git worktree.
    - docs: Fix typos in docs and one debug message. [Florian Grignon]
    - btrfs: support resizing if root is mounted ro. [Robert Schweikert]
    - OpenNebula: Improve network configuration support. [Akihiko Ota]
    - tests: Fix EC2 Platform to return console output as bytes.


## cloud-init 18.2-14

=== requirements.txt ===
# Pypi requirements for cloud-init to work

# Used for untemplating any files or strings with parameters.
jinja2

# This one is currently only used by the MAAS datasource. If that
# datasource is removed, this is no longer needed
oauthlib

# This one is currently used only by the CloudSigma and SmartOS datasources.
# If these datasources are removed, this is no longer needed.
#
# This will not work in py2.6 so it is only optionally installed on
# python 2.7 and later.
#
# pyserial

# This is only needed for places where we need to support configs in a manner
# that the built-in config parser is not sufficent (ie
# when we need to preserve comments, or do not have a top-level
# section)...
configobj>=5.0.2

# All new style configurations are in the yaml format
pyyaml

# Requests handles ssl correctly!
requests

# For patching pieces of cloud-config together
jsonpatch

# For validating cloud-config sections per schema definitions
jsonschema

# For Python 2/3 compatibility
six
